You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@uima.apache.org by sc...@apache.org on 2013/01/13 02:05:36 UTC

svn commit: r1432538 - in /uima/uima-as/trunk/uima-as-eclipse-update-site: signEclipseUpdateSite.sh verifySigsEclipseUpdateSite.sh

Author: schor
Date: Sun Jan 13 01:05:36 2013
New Revision: 1432538

URL: http://svn.apache.org/viewvc?rev=1432538&view=rev
Log:
[UIMA-2568] fixup the signing and verifying scripts for new composite layout

Added:
    uima/uima-as/trunk/uima-as-eclipse-update-site/signEclipseUpdateSite.sh   (with props)
    uima/uima-as/trunk/uima-as-eclipse-update-site/verifySigsEclipseUpdateSite.sh   (with props)

Added: uima/uima-as/trunk/uima-as-eclipse-update-site/signEclipseUpdateSite.sh
URL: http://svn.apache.org/viewvc/uima/uima-as/trunk/uima-as-eclipse-update-site/signEclipseUpdateSite.sh?rev=1432538&view=auto
==============================================================================
--- uima/uima-as/trunk/uima-as-eclipse-update-site/signEclipseUpdateSite.sh (added)
+++ uima/uima-as/trunk/uima-as-eclipse-update-site/signEclipseUpdateSite.sh Sun Jan 13 01:05:36 2013
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+#   Licensed to the Apache Software Foundation (ASF) under one
+#   or more contributor license agreements.  See the NOTICE file
+#   distributed with this work for additional information
+#   regarding copyright ownership.  The ASF licenses this file
+#   to you under the Apache License, Version 2.0 (the
+#   "License"); you may not use this file except in compliance
+#   with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing,
+#   software distributed under the License is distributed on an
+#   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#   KIND, either express or implied.  See the License for the
+#   specific language governing permissions and limitations
+#   under the License.
+
+# Bourne shell syntax, this should hopefully run on pretty much anything.
+
+usage() {
+  echo "Usage: cd to this project's project directory, then ./signEclipseUpdateSite.sh"
+}
+
+if [ "$1" = "-help" ]
+then
+  usage
+  exit 1
+fi
+
+# Create PGP signatures
+for i in target/eclipse-update-site/features/org.apache.uima.*.jar; do gpg --output $i.asc --detach-sig --armor $i; done
+for i in  target/eclipse-update-site/plugins/org.apache.uima.*.jar;  do gpg --output $i.asc --detach-sig --armor $i; done
+for i in  target/eclipse-update-site/plugins/org.apache.uima.*.jar.pack.gz;  do gpg --output $i.asc --detach-sig --armor $i; done
+
+# Create MD5 checksums
+for i in target/eclipse-update-site/features/org.apache.uima.*.jar; do md5sum --binary $i > $i.md5; done
+for i in  target/eclipse-update-site/plugins/org.apache.uima.*.jar;  do md5sum --binary $i > $i.md5; done
+for i in  target/eclipse-update-site/plugins/org.apache.uima.*.jar.pack.gz;  do md5sum --binary $i > $i.md5; done
+
+# Create SHA1 checksums
+for i in target/eclipse-update-site/features/org.apache.uima.*.jar; do sha1sum --binary $i > $i.sha1; done
+for i in  target/eclipse-update-site/plugins/org.apache.uima.*.jar;  do sha1sum --binary $i > $i.sha1; done
+for i in  target/eclipse-update-site/plugins/org.apache.uima.*.jar.pack.gz;  do sha1sum --binary $i > $i.sha1; done

Propchange: uima/uima-as/trunk/uima-as-eclipse-update-site/signEclipseUpdateSite.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Added: uima/uima-as/trunk/uima-as-eclipse-update-site/verifySigsEclipseUpdateSite.sh
URL: http://svn.apache.org/viewvc/uima/uima-as/trunk/uima-as-eclipse-update-site/verifySigsEclipseUpdateSite.sh?rev=1432538&view=auto
==============================================================================
--- uima/uima-as/trunk/uima-as-eclipse-update-site/verifySigsEclipseUpdateSite.sh (added)
+++ uima/uima-as/trunk/uima-as-eclipse-update-site/verifySigsEclipseUpdateSite.sh Sun Jan 13 01:05:36 2013
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+#   Licensed to the Apache Software Foundation (ASF) under one
+#   or more contributor license agreements.  See the NOTICE file
+#   distributed with this work for additional information
+#   regarding copyright ownership.  The ASF licenses this file
+#   to you under the Apache License, Version 2.0 (the
+#   "License"); you may not use this file except in compliance
+#   with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#   Unless required by applicable law or agreed to in writing,
+#   software distributed under the License is distributed on an
+#   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#   KIND, either express or implied.  See the License for the
+#   specific language governing permissions and limitations
+#   under the License.
+
+# On windows, run this inside cygwin
+# Bourne shell syntax, this should hopefully run on pretty much anything.
+
+usage() {
+  echo "Usage: cd to this project's project directory, then ./verifySigsEclipseUpdateSite.sh"
+}
+
+if [ "$1" = "-help" ]
+then
+  usage
+  exit 1
+fi
+
+# Verify PGP signatures
+for i in target/eclipse-update-site/features/org.apache.uima.*.jar; do gpg --verify $i.asc; done
+for i in target/eclipse-update-site/plugins/org.apache.uima.*.jar;  do gpg --verify $i.asc; done
+for i in target/eclipse-update-site/plugins/org.apache.uima.*.jar.pack.gz;  do gpg --verify $i.asc; done
+
+# Verify MD5 checksums
+for i in target/eclipse-update-site/features/org.apache.uima.*.jar; do md5sum --check $i.md5; done
+for i in target/eclipse-update-site/plugins/org.apache.uima.*.jar;  do md5sum --check $i.md5; done
+for i in target/eclipse-update-site/plugins/org.apache.uima.*.jar.pack.gz;  do md5sum --check $i.md5; done
+
+# Verify SHA1 checksums
+for i in target/eclipse-update-site/features/org.apache.uima.*.jar; do sha1sum --check $i.sha1; done
+for i in target/eclipse-update-site/plugins/org.apache.uima.*.jar;  do sha1sum --check $i.sha1; done
+for i in target/eclipse-update-site/plugins/org.apache.uima.*.jar.pack.gz;  do sha1sum --check $i.sha1; done
+

Propchange: uima/uima-as/trunk/uima-as-eclipse-update-site/verifySigsEclipseUpdateSite.sh
------------------------------------------------------------------------------
    svn:eol-style = native